//
//  AppDelegate.swift
//  BroadpeakDemo
//
//

import PRESTOPlay
import CastlabsApple
import CastlabsBroadpeak
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?)
        -> Bool
    {
        // Override point for customization after application launch.

        let broadpeakSettings = BroadpeakSettings(
            analyticsAddress: "YOUR-ANALYTICS-SERVER-ADDRESS",
            nanoCDNHost: "",
            domainNames: "")

        _ = PRESTOPlaySDK.shared.register(
            "LICENSE",
            [
                HLSPlugin(),
                BroadpeakPlugin(broadpeakSettings),
            ])
        return true
    }
}
