# Introduction

Examples use CocoaPods to download dependencies.

Please edit `Podfile` and for internal testing use:
```
source 'git@github.com:castlabs/client_podspecs.git'
```

for publicly available release, please use:
```
source 'git@github.com:castlabs/Specs.git'
```

# Build

1. Go to examples directory
2. Call `pod install --repo-update`
3. Open created `.xcworkspace` in Xcode
4. Update you castLabs license in `AppDelegate.swift``

# CastlabsDASHDemo and Widevine support

Widevine support requires the Widevine CDM for iOS and it is not open-source.
Widevine CDM must be obtained separately from [Widevine](https://www.widevine.com/contact) under their license. 

Frameworks received from Widevine must be linked to `CastlabsDASHDemo`.
`CastlabsWidevine` plugin must be added to `Podfile` and enabled in `AppDelegate.swift`.
`castLabs` shares production ready frameworks.

Widevine protects its frameworks against fraudulent use. Debugging application that includes and decodes protected content is prohibited and ends with a crash.
To disable debugging please to `Xcode -> Scheme -> Edit Scheme... -> Run -> Info -> Debug executable`.
